package main

import (
	"io"
	"os/exec"
)

func newXZReader(r io.Reader) (io.ReadCloser, error) {
	cmd := exec.Command("xzcat")
	cmd.Stdin = r
	stdout, err := cmd.StdoutPipe()
	if err != nil {
		return nil, err
	}
	err = cmd.Start()
	if err != nil {
		return nil, err
	}
	return stdout, nil
}
